<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>PIC Express</title>

    <script src="script/jquery/jquery-3.4.1.js"></script>
    <script src="script/persistence.js"></script>

</head>
<body>
    <h1>PIC Express - Accueil</h1>

    <script>
        localStorage.removeItem('mapURI');
        localStorage.removeItem('canvasJson');

        localStorage.setItem('mapURI', 'image/plan_de_masse-min.jpg');
        
        function reprendre() {
            // localStorage.setItem('canvasJson', '{"version":"3.6.3","objects":[{"type":"polyline","version":"3.6.3","originX":"left","originY":"top","left":583.25,"top":191.25,"width":398,"height":243,"fill":"rgba(255,127,0,0.4)","stroke":"rgba(255,127,0,1)","strokeWidth":1.5,"strokeDashArray":null,"strokeLineCap":"butt","strokeDashOffset":0,"strokeLineJoin":"miter","strokeMiterLimit":4,"scaleX":1,"scaleY":1,"angle":0,"flipX":false,"flipY":false,"opacity":1,"shadow":null,"visible":true,"clipTo":null,"backgroundColor":"","fillRule":"nonzero","paintFirst":"fill","globalCompositeOperation":"source-over","transformMatrix":null,"skewX":0,"skewY":0,"points":[{"x":590,"y":419},{"x":584,"y":196},{"x":982,"y":192},{"x":941,"y":435},{"x":590,"y":419}]},{"type":"polyline","version":"3.6.3","originX":"left","originY":"top","left":238.25,"top":557.25,"width":83,"height":108,"fill":"rgba(0,0,0,0)","stroke":"red","strokeWidth":1.5,"strokeDashArray":[5,5],"strokeLineCap":"butt","strokeDashOffset":0,"strokeLineJoin":"miter","strokeMiterLimit":4,"scaleX":1,"scaleY":1,"angle":0,"flipX":false,"flipY":false,"opacity":1,"shadow":null,"visible":true,"clipTo":null,"backgroundColor":"","fillRule":"nonzero","paintFirst":"fill","globalCompositeOperation":"source-over","transformMatrix":null,"skewX":0,"skewY":0,"points":[{"x":239,"y":558},{"x":322,"y":560},{"x":322,"y":666}]}]}');
            localStorage.setItem('canvasJson', '{"scaleRealDistance":1,"scaleDistance":197,"canvasJson":{"version":"3.6.3","objects":[{"type":"polyline","version":"3.6.3","originX":"left","originY":"top","left":583.03,"top":187.82,"width":397.84,"height":244.32,"fill":"rgba(255,127,0,0.4)","stroke":"rgba(255,127,0,1)","strokeWidth":1.5,"strokeDashArray":null,"strokeLineCap":"butt","strokeDashOffset":0,"strokeLineJoin":"miter","strokeMiterLimit":4,"scaleX":1,"scaleY":1,"angle":0,"flipX":false,"flipY":false,"opacity":1,"shadow":null,"visible":true,"clipTo":null,"backgroundColor":"","fillRule":"nonzero","paintFirst":"fill","globalCompositeOperation":"source-over","transformMatrix":null,"skewX":0,"skewY":0,"lockMovementX":true,"lockMovementY":true,"lockRotation":true,"lockScalingX":true,"lockScalingY":false,"lockUniScaling":true,"hasControls":false,"points":[{"x":596.7567567567568,"y":426.41213566183364},{"x":583.7837837837839,"y":192.89863304709564},{"x":981.6216216216217,"y":188.5743089246005},{"x":940.5405405405406,"y":432.8986218455764},{"x":596.7567567567568,"y":426.41213566183364}]}],"state":1}}');
            document.location.href = "picexpress.html";
        }

    </script>

    <ul>
        <li><a href="picexpress.html">Nouveau projet</a></li>
        <li>
            <button onclick="reprendre();">Reprendre le dernier projet</button>
        </li>
    </ul>
    
</body>
</html>